# Create an AI prompt draft (internal) **POST /ai/admin/prompts/{purpose}/drafts** Creates an inactive version with the next `versionSlug` for the purpose, copied from `seedFromVersionSlug` (or the active version, or the code default) with the given changes applied. It takes no traffic until activated. Renaming or removing top-level tool input properties returns 400. An unknown `purpose` returns 400. Super admins only. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Path parameters - **purpose** (string) ### Body: application/json (object) - **systemPrompt** (string) - **toolDescription** (string) - **toolInputSchema** (object) Claude tool-use input_schema (JSON Schema). Renaming or removing top-level properties triggers 400. - **model** (string) 'haiku' / 'sonnet' alias or a literal Bedrock model id - **maxTokens** (number) - **temperature** (number) - **notes** (string) - **seedFromVersionSlug** (string) Seed the new draft from this version slug. Defaults to the currently active version. ## Responses ### 201 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)